Advertisement
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

DisguiseMe 1.1

Disguise yourself as any mob...

  1. Falk
    For PocketMine-MP:
    Alpha 1.4
    By default OPs can't see disguises (yes this was an oversight on my part). I will fix it when I have made more updates.

    DisguiseMe allows you to disguise yourself as a mob. Now with support for all 0.9.0 mobs!

    You can use the command /d <ID> [player] (IDs are a temporary feature and are in docs) to activate a disguise and /d to turn it off. If you want to turn off another players disguise you have to do /d 0 <name>.

    I am still using IDs because I couldn't find all the ids of the new mobs at the time of the update. They are now listed in the documentation section.

    There are a bunch of glitches with the mob rendering at the current time. For example, they will fall repeatedly if you fly while the disguise is enabled and there are also some pitch and yaw issues.

    If you find a bug please report it on GitHub : https://github.com/Falkirks/DisguiseMe/issues/new
    Plugin Access:
    • Commands
    • Entities

Recent Reviews

  1. DeorcPE
    DeorcPE
    4/5,
    Version: 1.1
    Needs an update, but it was a good plugin :D
  2. PocketKiller
    PocketKiller
    5/5,
    Version: 1.1
    Awesome. it's good for trolling :3 just edit the source code to remove tags when disguised and start TROLLING :3 like a real mob :3. and it's even used to be as any entity! eg. ID 90 makes you disguise as a boat :3
    anyway FANTASTIC!
  3. Jelly9912
    Jelly9912
    5/5,
    Version: 1.1
    5 stars, but update bro
  4. SniperCraft
    SniperCraft
    4/5,
    Version: 1.1
    doesn't work
  5. JoshCreations
    JoshCreations
    4/5,
    Version: 1.1
    I love it but since 0.11.0 it runs this every time i try to turn into a mob it does this

    05.08 19:16:53 [Server] Server thread/CRITICAL ClassNotFoundException: "Class pocketmine\network\protocol\AddMobPacket not found" (EXCEPTION) in "/jar/pocketmine/src/spl/BaseClassLoader" at line 144
    05.08 19:16:53 [Server] Server thread/CRITICAL Unhandled exception executing command 'd pigman' in d: Class pocketmine\network\protocol\AddMobPacket not found
    1. Falk
      Author's Response
      This plugin doesn't support 0.11 as I am waiting for proper mob support in PocketMine, that way I don't need to hack stuff in.
  6. Ddawg
    Ddawg
    5/5,
    Version: 1.1
    Good
  7. XWITHERHEROX
    XWITHERHEROX
    3/5,
    Version: 1.1
    Plece update to 1.5 APL
  8. MrDoni98
    MrDoni98
    5/5,
    Version: 1.1
    please update to 1.5 API !!
    1. Falk
      Author's Response
      Once 0.11 is released, I will start updating. PocketMine 1.5 is currently unstable and more entity features are being added. If I wait for the full release, I will be plugging into a more stable entity API.
  9. Pman1220
    Pman1220
    5/5,
    Version: 1.1
    Another AMAZING PLUGIN!
  10. NML32
    NML32
    5/5,
    Version: 1.1
    Nice!!
Advertisement